/[pdpsoft]/trunk/userspace-package-management/fetch-update.sh
ViewVC logotype

Contents of /trunk/userspace-package-management/fetch-update.sh

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1904 - (show annotations) (download) (as text)
Tue Aug 31 12:32:09 2010 UTC (11 years, 9 months ago) by dennisvd
File MIME type: application/x-shellscript
File size: 541 byte(s)
initial checkin of scripts

1 #!/bin/sh
2
3 # This is to be run from a daily cron job.
4 pkgsrcurl=ftp://ftp.nl.netbsd.org/pub/NetBSD/packages/pkgsrc.tar.gz
5 tmpdir=`mktemp -d` || { echo "failed to create tmp dir" ; exit 1 }
6 cd $tmpdir
7 wget -O pkgsrc.tar.gz $pkgsrcurl
8 if [ $? -ne 0 ]; then
9 echo "failed to fetch $pkgsrcurl"
10 exit 1
11 fi
12 #unpack, update and repack
13 tar xfz pkgsrc.tar.gz
14 ( cd pkgsrc && cvs update -dP )
15 tar cfz pkgsrc.tar.gz pkgsrc
16 # upload to public space; this cannot be done in a cron job!
17 scp pkgsrc.tar.gz poc.vl-e.nl:wwwpoc/html/pkgsrc/pkgsrc.tar.gz

grid.support@nikhef.nl
ViewVC Help
Powered by ViewVC 1.1.28